## hubzero-submit-monitors 2.5.1

=== Makefile ===
#
# @package      hubzero-submit-monitors
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
MONITORJOB = monitorJob.py
MONITORJOBUTILS = monitorJobQ.py monitorJobR.py monitorJobS.py monitorJobT.py monitorJobU.py
MONITORTUNNEL = monitorTunnel.py
MONITORTUNNELUTILS = monitorTunnelA.py monitorTunnelD.py monitorTunnelI.py monitorTunnelR.py monitorTunnelT.py

SUBMITDIR=$(DESTDIR)/opt/submit
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc

default all build:
	@true

install:
	# create-optsubmit
	install --mode 0755 -d $(SUBMITDIR)
	# install-batchmonitors
	install --mode 2750 -d $(SUBMITDIR)/BatchMonitors
	for batchMonitor in $(BATCHMONITORS) ; do \
		install --mode 0750 -D BatchMonitors/$${batchMonitor} $(SUBMITDIR)/BatchMonitors/$${batchMonitor}; \
	done
	# install-monitor-job
	install --mode 0750 -D $(MONITORJOB) $(SUBMITDIR)/$(MONITORJOB);
	for monitorJobUtil in $(MONITORJOBUTILS) ; do \
		install --mode 0750 -D $${monitorJobUtil} $(SUBMITDIR)/$${monitorJobUtil}; \
	done
	# install-monitor-tunnel
	install --mode 0750 -D $(MONITORTUNNEL) $(SUBMITDIR)/$(MONITORTUNNEL); \
	for monitorTunnelUtil in $(MONITORTUNNELUTILS) ; do \
		install --mode 0750 -D $${monitorTunnelUtil} $(SUBMITDIR)/$${monitorTunnelUtil}; \
	done
	# initialize-monitor-job
	install --mode 0640 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
	# install-monitor-logs
	install --mode 0775 -d $(VARLOGDIR)/submit
	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
	touch emptyFile
	[ -f $(VARLOGDIR)/submit/monitors/monitorJob.log ] || \
		install --mode 0644 -D emptyFile $(VARLOGDIR)/submit/monitors/monitorJob.log
	[ -f $(VARLOGDIR)/submit/monitors/monitorTunnel.log ] || \
		install --mode 0644 -D emptyFile $(VARLOGDIR)/submit/monitors/monitorTunnel.log
	rm -f emptyFile
	# install-server-init
	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb

configure:
	# install-monitor-job
	chown gridman $(SUBMITDIR)/$(MONITORJOB)
	# install-monitor-tunnel
	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
	# initialize-monitor-job:
	$(SUBMITDIR)/monitorJobInitialize.sh
	# install-monitor-logs
	chown gridman $(VARLOGDIR)/submit/monitors
	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorJob.log
	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorTunnel.log
	# install-server-init
	insserv jobmon
	insserv tunnelmon
	insserv
	
clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

## hubzero-submit-monitors 2.5.5

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,9 @@
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
 configure:
+        # install-user-gridman
+	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
+	adduser --quiet gridman tunneler || true
 	# install-monitor-job
 	chown gridman $(SUBMITDIR)/$(MONITORJOB)
 	# install-monitor-tunnel

## hubzero-submit-monitors 2.5.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
-#
 # @package      hubzero-submit-monitors
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -37,7 +36,7 @@
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
 
-default all build:
+all:
 	@true
 
 install:
@@ -59,7 +58,7 @@
 		install --mode 0750 -D $${monitorTunnelUtil} $(SUBMITDIR)/$${monitorTunnelUtil}; \
 	done
 	# initialize-monitor-job
-	install --mode 0640 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
+	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
 	# install-monitor-logs
 	install --mode 0775 -d $(VARLOGDIR)/submit
@@ -75,8 +74,11 @@
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
-configure:
-        # install-user-gridman
+uninstall:
+	@true
+
+postinst:
+	# install-user-gridman
 	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
 	adduser --quiet gridman tunneler || true
 	# install-monitor-job
@@ -101,3 +103,4 @@
 	python setup.py clean
 	rm -fr build
 
+.PHONY: all install uninstall postinst clean

## hubzero-submit-monitors 2.7.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,8 @@
 MONITORJOBUTILS = monitorJobQ.py monitorJobR.py monitorJobS.py monitorJobT.py monitorJobU.py
 MONITORTUNNEL = monitorTunnel.py
 MONITORTUNNELUTILS = monitorTunnelA.py monitorTunnelD.py monitorTunnelI.py monitorTunnelR.py monitorTunnelT.py
-
+MONITORPROBE = monitorProbe.py
+MONITORPROBEUTILS = monitorProbeQ.py monitorProbeR.py monitorProbeU.py
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
@@ -57,6 +58,11 @@
 	for monitorTunnelUtil in $(MONITORTUNNELUTILS) ; do \
 		install --mode 0750 -D $${monitorTunnelUtil} $(SUBMITDIR)/$${monitorTunnelUtil}; \
 	done
+	# install-monitor-probe
+	install --mode 0750 -D $(MONITORPROBE) $(SUBMITDIR)/$(MONITORPROBE); \
+	for monitorProbeUtil in $(MONITORPROBEUTILS) ; do \
+		install --mode 0750 -D $${monitorProbeUtil} $(SUBMITDIR)/$${monitorProbeUtil}; \
+	done
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
@@ -72,7 +78,8 @@
 	# install-server-init
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
+	python setup.py install $(COMPILE) --root $(DESTDIR) 
 
 uninstall:
 	@true
@@ -85,6 +92,8 @@
 	chown gridman $(SUBMITDIR)/$(MONITORJOB)
 	# install-monitor-tunnel
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
+	# install-monitor-probe
+	chown gridman $(SUBMITDIR)/$(MONITORPROBE)
 	# initialize-monitor-job:
 	$(SUBMITDIR)/monitorJobInitialize.sh
 	# install-monitor-logs
@@ -92,6 +101,7 @@
 	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorJob.log
 	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorTunnel.log
 	# install-server-init
+	insserv probemon
 	insserv jobmon
 	insserv tunnelmon
 	insserv

## hubzero-submit-monitors 2.7.1u2

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,13 @@
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
+
+DISTRIBUTION := $(shell lsb_release -is)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+ifeq ($(DISTRIBUTION),Debian)
+il=--install-layout=deb
+endif
 
 BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
@@ -79,7 +86,7 @@
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
 	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
-	python setup.py install $(COMPILE) --root $(DESTDIR) 
+	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true

## hubzero-submit-monitors 2.7.1.5

=== Makefile ===
--- 
+++ 
@@ -76,12 +76,6 @@
 	# install-monitor-logs
 	install --mode 0775 -d $(VARLOGDIR)/submit
 	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
-	touch emptyFile
-	[ -f $(VARLOGDIR)/submit/monitors/monitorJob.log ] || \
-		install --mode 0644 -D emptyFile $(VARLOGDIR)/submit/monitors/monitorJob.log
-	[ -f $(VARLOGDIR)/submit/monitors/monitorTunnel.log ] || \
-		install --mode 0644 -D emptyFile $(VARLOGDIR)/submit/monitors/monitorTunnel.log
-	rm -f emptyFile
 	# install-server-init
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
@@ -101,12 +95,33 @@
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
 	# install-monitor-probe
 	chown gridman $(SUBMITDIR)/$(MONITORPROBE)
+	# install-monitor-logs
+	if [ ! -d ${VARLOG}/submit ] ; \
+	then \
+		mkdir --mode=0775 ${VARLOG}/submit ; \
+	fi
+	if [ ! -d ${VARLOG}/submit/monitors ] ; \
+	then \
+		mkdir --mode=0755 ${VARLOG}/submit/monitors ; \
+		chown gridman ${VARLOG}/submit/monitors ; \
+	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJob.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJob.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJob.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJob.log ; \
+	fi
+
+	if [ ! -f ${VARLOG}/submit/monitors/monitorTunnel.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorTunnel.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorTunnel.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorTunnel.log ; \
+	fi
+
 	# initialize-monitor-job:
 	$(SUBMITDIR)/monitorJobInitialize.sh
-	# install-monitor-logs
-	chown gridman $(VARLOGDIR)/submit/monitors
-	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorJob.log
-	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorTunnel.log
+
 	# install-server-init
 	insserv probemon
 	insserv jobmon

## hubzero-submit-monitors 3.0.10

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,28 @@
 # @package      hubzero-submit-monitors
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
@@ -34,12 +36,19 @@
 
 BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
-MONITORJOB = monitorJob.py
-MONITORJOBUTILS = monitorJobQ.py monitorJobR.py monitorJobS.py monitorJobT.py monitorJobU.py
+MONITORJOBS = monitorJob.py monitorJobSite.py
+MONITORJOBUTILS = monitorJobA.py monitorJobQ.py monitorJobP.py monitorJobR.py \
+                  monitorJobS.py monitorJobT.py monitorJobU.py
 MONITORTUNNEL = monitorTunnel.py
 MONITORTUNNELUTILS = monitorTunnelA.py monitorTunnelD.py monitorTunnelI.py monitorTunnelR.py monitorTunnelT.py
 MONITORPROBE = monitorProbe.py
 MONITORPROBEUTILS = monitorProbeQ.py monitorProbeR.py monitorProbeU.py
+MANAGEIDENTITIES = manageIdentities.py
+MANAGEIDENTITYUTILS = manageIdentitiesQ.py
+IDENTITYMANAGERSCRIPTS = generate-grid-proxy.sh generate-voms-proxy.sh \
+                         genuserid.sh genuserpki.sh \
+                         personalize-copy-proxy.sh personalize-saml-proxy.sh \
+                         refresh-condor-proxy.sh refresh-jobmon-proxy.sh
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
@@ -56,7 +65,9 @@
 		install --mode 0750 -D BatchMonitors/$${batchMonitor} $(SUBMITDIR)/BatchMonitors/$${batchMonitor}; \
 	done
 	# install-monitor-job
-	install --mode 0750 -D $(MONITORJOB) $(SUBMITDIR)/$(MONITORJOB);
+	for monitorJob in $(MONITORJOBS) ; do \
+		install --mode 0750 -D $${monitorJob} $(SUBMITDIR)/$${monitorJob}; \
+	done
 	for monitorJobUtil in $(MONITORJOBUTILS) ; do \
 		install --mode 0750 -D $${monitorJobUtil} $(SUBMITDIR)/$${monitorJobUtil}; \
 	done
@@ -70,6 +81,14 @@
 	for monitorProbeUtil in $(MONITORPROBEUTILS) ; do \
 		install --mode 0750 -D $${monitorProbeUtil} $(SUBMITDIR)/$${monitorProbeUtil}; \
 	done
+	# install-manage-identities
+	install --mode 0750 -D $(MANAGEIDENTITIES) $(SUBMITDIR)/$(MANAGEIDENTITIES); \
+	for manageIdentityUtil in $(MANAGEIDENTITYUTILS) ; do \
+		install --mode 0750 -D $${manageIdentityUtil} $(SUBMITDIR)/$${manageIdentityUtil}; \
+	done
+	for identityManagerScript in $(IDENTITYMANAGERSCRIPTS) ; do \
+		install --mode 0755 -D bin/$${identityManagerScript} $(SUBMITDIR)/bin/$${identityManagerScript}; \
+	done
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
@@ -77,6 +96,7 @@
 	install --mode 0775 -d $(VARLOGDIR)/submit
 	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
 	# install-server-init
+	install --mode 0755 -D identityman $(ETCDIR)/init.d/identityman
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
 	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
@@ -90,7 +110,9 @@
 	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
 	adduser --quiet gridman tunneler || true
 	# install-monitor-job
-	chown gridman $(SUBMITDIR)/$(MONITORJOB)
+	for monitorJob in $(MONITORJOBS) ; do \
+		chown gridman $(SUBMITDIR)/$(monitorJob); \
+	done
 	# install-monitor-tunnel
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
 	# install-monitor-probe
@@ -124,6 +146,7 @@
 
 	# install-server-init
 	insserv probemon
+	insserv identityman
 	insserv jobmon
 	insserv tunnelmon
 	insserv

## hubzero-submit-monitors 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-1+deb6) unstable; urgency=low

  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * Header labels for probe monitor report
  * Initialize setInfoError
  * Changed location of identity manager shell scripts. Now under ~gridman.
  * Added runName to job monitor database
  * Added job monitor database schema version for an update migration path.
  * Added ability to restart jobSite monitors when monitorJob starts.
    No longer have to wait for a new job submission. 

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 14:38:14 -0400

hubzero-submit-monitors (3.0.10-1) unstable; urgency=low

  * Check for existence of identity manager scripts.
  * Check for valid priorityBooster.  Problem occurs when aggregator setting is missing.
  * Added configurable ssh options. Initial use is to set connection timeout
    and retry limit.

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:35:18 -0400

hubzero-submit-monitors (3.0.8-1) unstable; urgency=low

  * Correct test for empty ssh command to match new variable type
  * Too many quotes
  * fixed shell syntax error

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 15:07:26 -0500

hubzero-submit-monitors (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Added identity manager service.  It supports community ssh, idividual
    ssh, community x509 proxy
  * Added centralized manager for daemon to maintain host and port location
    of the individual daemons.
  * Split monitorJob into two separate executable scripts.  The first level
    script, monitorJob, serves the role of databse manager and additional
    launches monitorJobSite scripts for each remote monitor.  The monitor
    name is now provided as a command line argument to the remote process
    reducing the amount of customization required.

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 18:28:36 -0400

hubzero-submit-monitors (2.7.2-1) unstable; urgency=low

  * upstream patches

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 18:41:50 -0400

hubzero-submit-monitors (2.7.1.7-1) unstable; urgency=low

  * fix log path in postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 31 Mar 2015 11:54:28 -0400

hubzero-submit-monitors (2.7.1.6-1) unstable; urgency=low

  * fix log file permissions on upgrade

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Mar 2015 16:29:29 -0400

hubzero-submit-monitors (2.7.1.5-1) unstable; urgency=low

  * don't put empty log files in package, create them in configure step

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 11:38:16 -0500

hubzero-submit-monitors (2.7.1u4-1) unstable; urgency=low

  * specifically get fqdn for hostname

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 27 Sep 2014 15:17:09 -0400

hubzero-submit-monitors (2.7.1u3-1) unstable; urgency=low

  * try again to fix postinst init of DB

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 17:09:09 -0400

hubzero-submit-monitors (2.7.1u2-1) unstable; urgency=low

  * Ignore table exists error

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 16:32:11 -0400

hubzero-submit-monitors (2.7.1u1-1) unstable; urgency=low

  * initialize /opt/submit/DB properly in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 22:11:52 -0400

hubzero-submit-monitors (2.7.1-1) unstable; urgency=low

  * Update version number
  * normalizing packaging to template and update copyrights
  * Added delete probe monitor action
  * Added centralized logging module
  * Adding probe monitor daemon
  * All programs need top level logger
  * trap and report error to avoid one site crashing monitor
  * Employing python logging module, removing need for global write permissions
  * Standard daemonize method.

 -- Steven Clark <clarks@purdue.edu>  Tue, 23 Sep 2014 19:36:33 -0400

hubzero-submit-monitors (2.5.7-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 14:14:30 -0400

hubzero-submit-monitors (2.5.6-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Aug 2014 15:40:21 -0400

hubzero-submit-monitors (2.5.5-1) unstable; urgency=low

  *  Update version number
  *  Fixed false connection close when receive empty message
  *  Update copyright date

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 19:50:22 -0400

hubzero-submit-monitors (2.5.1-3) unstable; urgency=low

  * Don't try to delete non-existent files from old db
  * Create db path when needed

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 24 Aug 2013 12:34:53 -0400

hubzero-submit-monitors (2.5.1-2) unstable; urgency=low

  * hubzero-submit-distributor moved to recommends dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 19:34:29 -0400

hubzero-submit-monitors (2.5.1-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 18:49:47 -0400

## hubzero-submit-monitors 3.1.2-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-1+deb7) unstable; urgency=low

  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * Header labels for probe monitor report
  * Initialize setInfoError
  * Changed location of identity manager shell scripts. Now under ~gridman.
  * Added runName to job monitor database
  * Added job monitor database schema version for an update migration path.
  * Added ability to restart jobSite monitors when monitorJob starts.
    No longer have to wait for a new job submission. 

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 14:38:14 -0400

## hubzero-submit-monitors 3.1.2-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-1+deb8) unstable; urgency=low

  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * Header labels for probe monitor report
  * Initialize setInfoError
  * Changed location of identity manager shell scripts. Now under ~gridman.
  * Added runName to job monitor database
  * Added job monitor database schema version for an update migration path.
  * Added ability to restart jobSite monitors when monitorJob starts.
    No longer have to wait for a new job submission. 

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 14:38:14 -0400

## hubzero-submit-monitors 3.1.2-2+deb6

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-2+deb6) unstable; urgency=low

  * fix syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 12:58:05 +0000

hubzero-submit-monitors (3.1.2-1) unstable; urgency=low

  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * Header labels for probe monitor report
  * Initialize setInfoError
  * Changed location of identity manager shell scripts. Now under ~gridman.
  * Added runName to job monitor database
  * Added job monitor database schema version for an update migration path.
  * Added ability to restart jobSite monitors when monitorJob starts.
    No longer have to wait for a new job submission. 

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 14:38:14 -0400

## hubzero-submit-monitors 3.1.2-2+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-2+deb7) unstable; urgency=low

  * fix syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 12:58:05 +0000

## hubzero-submit-monitors 3.1.2-2+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-2+deb8) unstable; urgency=low

  * fix syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 12:58:05 +0000

## hubzero-submit-monitors 3.1.2-3+deb6

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-3+deb6) unstable; urgency=low

  * fix another syntax error in postinst

 -- Nicholas J. Kisseberth (su) <su-nkissebe@debbuilder6.aws.hubzero.org>  Fri, 16 Jun 2017 13:51:32 +0000

hubzero-submit-monitors (3.1.2-2) unstable; urgency=low

  * fix syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 12:58:05 +0000

## hubzero-submit-monitors 3.1.2-3+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-3+deb7) unstable; urgency=low

  * fix another syntax error in postinst

 -- Nicholas J. Kisseberth (su) <su-nkissebe@debbuilder6.aws.hubzero.org>  Fri, 16 Jun 2017 13:51:32 +0000

## hubzero-submit-monitors 3.1.2-3+deb8

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-DISTRIBUTION := $(shell lsb_release -is)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)
@@ -48,9 +48,11 @@
 IDENTITYMANAGERSCRIPTS = generate-grid-proxy.sh generate-voms-proxy.sh \
                          genuserid.sh genuserpki.sh \
                          personalize-copy-proxy.sh personalize-saml-proxy.sh \
-                         refresh-condor-proxy.sh refresh-jobmon-proxy.sh
+                         refresh-condor-proxy.sh refresh-jobmon-proxy.sh \
+                         writecommunitysecret.sh
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
+VARGRIDMAN=$(DESTDIR)/var/gridman
 ETCDIR=$(DESTDIR)/etc
 
 all:
@@ -87,7 +89,7 @@
 		install --mode 0750 -D $${manageIdentityUtil} $(SUBMITDIR)/$${manageIdentityUtil}; \
 	done
 	for identityManagerScript in $(IDENTITYMANAGERSCRIPTS) ; do \
-		install --mode 0755 -D bin/$${identityManagerScript} $(SUBMITDIR)/bin/$${identityManagerScript}; \
+		install --mode 0755 -D bin/$${identityManagerScript} $(VARGRIDMAN)/bin/$${identityManagerScript}; \
 	done
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
@@ -117,6 +119,8 @@
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
 	# install-monitor-probe
 	chown gridman $(SUBMITDIR)/$(MONITORPROBE)
+	# install-manage-identities
+	chown gridman $(SUBMITDIR)/$(MANAGEIDENTITIES)
 	# install-monitor-logs
 	if [ ! -d ${VARLOG}/submit ] ; \
 	then \

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-3+deb8) unstable; urgency=low

  * fix another syntax error in postinst

 -- Nicholas J. Kisseberth (su) <su-nkissebe@debbuilder6.aws.hubzero.org>  Fri, 16 Jun 2017 13:51:32 +0000

=== debian/control ===
Source: hubzero-submit-monitors
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)   , dh-python
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-monitors
Architecture: all
Depends: adduser, hubzero-use, hubzero-use-apps, bind9-host,openssh-client, python (>=2.6), ${misc:Depends}
Recommends: hubzero-submit-distributor, hubzero-submit-server
Description: HUBzero submit monitors
 HUBzero submit monitor services

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-monitors
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	cp jobmon $(CURDIR)/debian/jobmon.init
	cp tunnelmon $(CURDIR)/debian/tunnelmon.init
	cp probemon $(CURDIR)/debian/probemon.init
	cp identityman $(CURDIR)/debian/identityman.init
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	rm -f $(CURDIR)/debian/jobmon.init
	rm -f $(CURDIR)/debian/tunnelmon.init
	rm -f $(CURDIR)/debian/probemon.init
	rm -f $(CURDIR)/debian/identityman.init
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-monitors COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i --name=jobmon 
	dh_installinit -i --name=tunnelmon
	dh_installinit -i --name=probemon
	dh_installinit -i --name=identityman
	dh_installman -i
	dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-monitors 3.1.3-1+deb6

=== debian/changelog ===
hubzero-submit-monitors (3.1.3-1+deb6) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400

hubzero-submit-monitors (3.1.2-3) unstable; urgency=low

  * fix another syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 13:51:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)   , dh-python
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-monitors 3.1.3-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.1.3-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400

## hubzero-submit-monitors 3.1.3-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.1.3-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400

## hubzero-submit-monitors 3.2.8-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.2.8-1+deb8) unstable; urgency=low

  - Improve job status reporting by grouping identifiers
    numerically.
  - Properly initialized siteDesignator in remote monitoring
    scripts such that a invalid specification results in
    a clean abort.
  - Update collection of file tail data.
  - Do not log empty set of tail files.
  - Updated BOINC scripts error processing
  - Improved capturing of file tailings.
  - Added glob style definition of *.dat Info files.
  - Added BOINC batch submission scripts.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 14:43:12 -0400

hubzero-submit-monitors (3.1.3-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400

## hubzero-submit-monitors 3.2.9-1+deb7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-monitors
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -34,7 +34,7 @@
 il=--install-layout=deb
 endif
 
-BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
+BATCHMONITORS = monitorBOINC.py monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
 MONITORJOBS = monitorJob.py monitorJobSite.py
 MONITORJOBUTILS = monitorJobA.py monitorJobQ.py monitorJobP.py monitorJobR.py \

=== debian/changelog ===
hubzero-submit-monitors (3.2.9-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:37:21 -0400

hubzero-submit-monitors (3.2.8-1) unstable; urgency=low

  - Improve job status reporting by grouping identifiers
    numerically.
  - Properly initialized siteDesignator in remote monitoring
    scripts such that a invalid specification results in
    a clean abort.
  - Update collection of file tail data.
  - Do not log empty set of tail files.
  - Updated BOINC scripts error processing
  - Improved capturing of file tailings.
  - Added glob style definition of *.dat Info files.
  - Added BOINC batch submission scripts.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 14:43:12 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8) , python-all  
+Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)  , python-all 
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-submit-monitors
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-submit-monitors 3.2.9-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.2.9-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:37:21 -0400

## hubzero-submit-monitors 3.4.2-1+deb8

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 BATCHMONITORS = monitorBOINC.py monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
-MONITORJOBS = monitorJob.py monitorJobSite.py
+MONITORJOBS = monitorJob.py monitorJobSite.py monitorJobSQL.py monitorJobSiteSQL.py
 MONITORJOBUTILS = monitorJobA.py monitorJobQ.py monitorJobP.py monitorJobR.py \
                   monitorJobS.py monitorJobT.py monitorJobU.py
 MONITORTUNNEL = monitorTunnel.py
@@ -137,6 +137,24 @@
 		chmod 0644 ${VARLOG}/submit/monitors/monitorJob.log ; \
 		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJob.log ; \
 	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJobSite.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJobSite.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJobSite.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJobSite.log ; \
+	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJobSQL.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJobSQL.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJobSQL.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJobSQL.log ; \
+	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ; \
+	fi
 
 	if [ ! -f ${VARLOG}/submit/monitors/monitorTunnel.log ] ; \
 	then \

=== debian/changelog ===
hubzero-submit-monitors (3.4.2-1+deb8) unstable; urgency=low

     - add monitorJobSQL.py and monitorJobSiteSQL.py to makefile
     - Update to version 3.4.2
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Use try/catch to avoid error when piping output through
       a downstream process like more.  The problem occured when
       user quit the downstream porcess before all input was read.
     - Changed central job monitor to fork off short lived process
       for each request. Previously all requests were served by a
       single process.  The single process could not process requests
       in a timely fashion to the point where request connections
       would be dropped without completing the transaction.
     - Limit the amount of data transferred between jobsite monitors
       and the corresponding remote monitoring process.  This prevents
       deadlocks between the two processes.
     - Refresh job status by sending current known job status back to
       the remote site for confirmation.  This is helpful when a
       jobsite monitor goes down for some reason and is restarted.
     - Split sqlite database functions into a new class.  Classes for
       sqlite and mysql should be nearly interchangeable.
     - Added messageType pipeFlusher to facilitate pushinf multi-part
       messages from batch queue monitors to the central job monitor.
     - Improved reporting for "user jobs"
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 18:49:17 -0400

hubzero-submit-monitors (3.2.9-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:37:21 -0400

## hubzero-submit-monitors 3.4.3-2+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-monitors
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 DISTRIBUTION := $(shell lsb_release -i -s)

=== debian/changelog ===
hubzero-submit-monitors (3.4.3-2+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:14:10 -0700

hubzero-submit-monitors (3.4.3-1) unstable; urgency=low

     - update copyright/trademark ownership
     - update email address references
     - remove per file @author references
     - update copyright years
     - Account for maximum length of text blob stored in job activity database.
     - Update to version 3.4.3

 -- Steven Clark <smclark@ucsd.edu>  Fri, 01 May 2020 18:50:41 -0700

hubzero-submit-monitors (3.4.2-1) unstable; urgency=low

     - add monitorJobSQL.py and monitorJobSiteSQL.py to makefile
     - Update to version 3.4.2
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Use try/catch to avoid error when piping output through
       a downstream process like more.  The problem occured when
       user quit the downstream porcess before all input was read.
     - Changed central job monitor to fork off short lived process
       for each request. Previously all requests were served by a
       single process.  The single process could not process requests
       in a timely fashion to the point where request connections
       would be dropped without completing the transaction.
     - Limit the amount of data transferred between jobsite monitors
       and the corresponding remote monitoring process.  This prevents
       deadlocks between the two processes.
     - Refresh job status by sending current known job status back to
       the remote site for confirmation.  This is helpful when a
       jobsite monitor goes down for some reason and is restarted.
     - Split sqlite database functions into a new class.  Classes for
       sqlite and mysql should be nearly interchangeable.
     - Added messageType pipeFlusher to facilitate pushinf multi-part
       messages from batch queue monitors to the central job monitor.
     - Improved reporting for "user jobs"
     - Release version 3.3.1.

 -- Steven Clark <smclark@ucsd.edu>  Fri, 05 Jul 2019 18:49:17 -0400

## hubzero-submit-monitors 3.6.3-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.6.3-1+deb7) unstable; urgency=low

    - Upgrade to 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:45:56 -0700

hubzero-submit-monitors (3.6.2-1) unstable; urgency=low

    - Upgrade to 3.6.2

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 00:17:16 -0700

hubzero-submit-monitors (3.6.0-2) unstable; urgency=low

     - update packaging to python3
     - Update batch submission system monitoring scripts to Python3
     - Moved TAPIS interface scripts from monitors to distributor repository
     - Update to version 3.6.0
     - Upgrade to Python3
     - Added download retry for TAPIS jobs

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 15:58:21 -0800

hubzero-submit-monitors (3.5.1-1) unstable; urgency=low

     - Keep track of the exit status of each individual transaction for web service job
     - Dropped support for gsissh.
     - Limit use of update-known-hosts to user gridman.
     - Added identity type for individual SSH keys.  Used by shared user
       accounts on the submit host.
     - Use configuration file to determine where web services are running.
     - Use configuration file to specify where backend compute web services
       are running.

 -- Steven Clark <smclark@ucsd.edu>  Mon, 13 Sep 2021 09:49:07 -0700

hubzero-submit-monitors (3.5.0-4) unstable; urgency=low

     - Changed permissions of Job, Probe, and Tunnel utilities to make them usable
     - Added missing DB schema update
     - Consolidated DB operations into JobMonitor
     - Address touch/chmod security concern
     - Added missing script for new identity manager type - oauth token.
     - Set permissions for job monitoring process scripts.

 -- Steven Clark <smclark@ucsd.edu>  Sun, 11 Jul 2021 15:32:21 -0700

hubzero-submit-monitors (3.5.0-3) unstable; urgency=low

     - mark config files as config

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 16:38:31 -0700

hubzero-submit-monitors (3.5.0-2) unstable; urgency=low

     - install more init.d scripts

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 15:45:13 -0700

hubzero-submit-monitors (3.5.0-1) unstable; urgency=low

     - Eliminated use of the master as a daemon type.
     - Added support for TAPIS job submission as a RemoteBATCH classification.
     - Numerous additions made to Remote/Job monitor in support of
       webservice job submission.
     - Added support to identity manager for oauthtokens.  Use case is
       the TAPIS service.
     - Split job release management into separate daemon process.
     - Added daemon processes to push asynchronous jobs through the sytsem.
       Used by webservice job submission.
       Processor, StageInput, Executer, Metrics, CacheSimTools
     - Added wsJobs table to database to manage launch of webservice
       simulation jobs.
     - Brought monitoring with SQLite database up to par with monitoring with SQL database.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:45:03 -0700

hubzero-submit-monitors (3.4.3-2) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:14:10 -0700

## hubzero-submit-monitors 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.6.3-1+deb10) unstable; urgency=low

    - Upgrade to 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:45:56 -0700
